|  | Home | Documentation | saml1__AssertionType::__saml1__union_AssertionType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AssertionType::__saml1__union_AssertionType Struct Reference

`#include <saml1.h>`

Collaboration diagram for saml1__AssertionType::__saml1__union_AssertionType:
[legend]

## Public Attributes
struct saml1__StatementAbstractType *saml1__Statement | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Statement. More...
struct saml1__SubjectStatementAbstractType *saml1__SubjectStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatement. More...
struct saml1__AuthenticationStatementType *saml1__AuthenticationStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatement. More...
struct saml1__AuthorizationDecisionStatementType *saml1__AuthorizationDecisionStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatement. More...
struct saml1__AttributeStatementType *saml1__AttributeStatement | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatement. More...

## Member Data Documentation

struct saml1__StatementAbstractType* saml1__Statement saml1__AssertionType::__saml1__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":Statement.

Required nillable (xsi:nil when NULL) element.

struct saml1__SubjectStatementAbstractType* saml1__SubjectStatement saml1__AssertionType::__saml1__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectStatement.

Required nillable (xsi:nil when NULL) element.

struct saml1__AuthenticationStatementType* saml1__AuthenticationStatement saml1__AssertionType::__saml1__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthenticationStatement.

Required nillable (xsi:nil when NULL) element.

struct saml1__AuthorizationDecisionStatementType* saml1__AuthorizationDecisionStatement saml1__AssertionType::__saml1__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AuthorizationDecisionStatement.

Required nillable (xsi:nil when NULL) element.

struct saml1__AttributeStatementType* saml1__AttributeStatement saml1__AssertionType::__saml1__union_AssertionType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":AttributeStatement.

Required nillable (xsi:nil when NULL) element.

The documentation for this struct was generated from the following file:

- saml1.h